# CameraPermissionScreen class

Configuration of the camera permission request view.

## Constructors

CameraPermissionScreen.new({StatusBarMode statusBarMode = StatusBarMode.DARK, ScanbotColor? background, ScanbotColor? iconBackground, IconStyle? icon, ButtonConfiguration? enableCameraButton, ButtonConfiguration? closeButton, StyledText? enableCameraTitle, StyledText? enableCameraExplanation})
CameraPermissionScreen.fromJson(Map<String, dynamic> json)
  factory

## Properties

background ↔ ScanbotColor
  The background color of the camera permission request.
  getter/setter pair
closeButton ↔ ButtonConfiguration
  Configuration of the camera permission request's close button.
  getter/setter pair
enableCameraButton ↔ ButtonConfiguration
  Configuration of the camera permission request's confirmation button.
  getter/setter pair
enableCameraExplanation ↔ StyledText
  Configuration of the camera permission request's explanatory text.
  getter/setter pair
enableCameraTitle ↔ StyledText
  Configuration of the camera permission request's title.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
icon ↔ IconStyle
  Configuration of the icon used in the camera permission request.
  getter/setter pair
iconBackground ↔ ScanbotColor
  The background color of the icon used in the camera permission request.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
statusBarMode ↔ StatusBarMode
  Determines the visual mode for displaying the contents of the status bar.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited